@echo off
rem $Id: StarWind_Start.cmd,v 1.3 2005/01/16 23:21:11 valery Exp $

setlocal

echo StarWind: Starting the iSCSI server in console mode...
echo.

echo Check if TCP/IP stack is installed...
bartpe.exe -c c -q ms_tcpip
if not "%errorlevel%" == "0" (
	echo.
	echo TCP/IP stack is not installed!
	echo Please load network support before this script!
	goto _err)

echo.

set tmpdir=%temp%\StarWind
mkdir %tmpdir%
              
%systemdrive%
cd \Programs\RDS\StarWind

rem Start in console mode with logging to temp directory and writable config file
rem copy StarWind.conf %tmpdir%\
rem StarWindService.exe --console -o -ld%tmpdir%\ -c%tmpdir%\StarWind.conf

rem Start in console mode with logging to temp directory
rem StarWindService.exe --console -o -ld%tmpdir%\

rem Start in console mode with logging to the console window
StarWindService.exe --console

goto _end

:_err
echo.
rem set errorlevel to 1 by (mis)using color
color 00 
:_end
endlocal
